* Encoding: windows-1252.
TITLE CENSUS OF CANADA 1981 - BST: CSD-SHORT FORM- SDD81A10
SUBTITLE SPSS commands by L Ruus, UT/DLS 2006/03.

file handle in NAME='x' / lrecl=3832. /* Replace 'x' with input file path name for corresponding data file. 

DATA LIST FILE=in/
  RP 1-2  
  CD 3-4
  csd 5-7
  csdsize 8
  csdtype 9-10 (a)
  ccs 11-13
  cmaca 14-16
  cmacasl 17
  csdname 18-49 (a)
  irhia 50
  rectype 51-52
  F2 to f421 53-3832.
VARIABLE LABELS
   RP 'Region and province'
  CD 'Census division code'
  csd 'Census subdivision code'
  csdsize 'Census subdivision size'
  csdtype 'Census subdivision type'
  ccs 'Census consolidated subdivision'
  cmacasl 17
  csdname 18-49 (a)
  irhia 50
  rectype 51-52
  CMACA 'Census Metropolitan Area/Census Agglomeration'
  cmacasl 'CMA/CA selector'
  csdname 'Name of the geographic area'
  irhia 'Indian Reserve: High imputation area indicator'
  RECTYPE 'Record type'
  F2 'Total population by marital status: total'
  F3 'Total population: never married (single)'
  F4 'Total population married and separated: total'
  F5 'Total population widowed and divorced: total'
  F6 'Total population by marital status: males'
  F7 'Total population: never married (single): males'
  F8 'Total population married and separated: males'
  F9 'Total population widowed and divorced: males'
  F10 'Total population by marital status: females'
  F11 'Total population: never married (single): females'
  F12 'Total population married and separated: females'
  F13 'Total population widowed and divorced: females'
  F14 'Population less than 15 - total marital status: total'
  F15 'Population less than 15 - never married (single): total'
  F16 'Population less than 15 - married and separated: total'
  F17 'Population less than 15 - widowed and divorced: total'
  F18 'Population less than 15 - total marital status: males'
  F19 'Population less than 15 - never married (single): males'
  F20 'Population less than 15 - married and separated: males'
  F21 'Population less than 15 - widowed and divorced: males'
  F22 'Population less than 15 - total marital status: females'
  F23 'Population less than 15 - never married (single): females'
  F24 'Population less than 15 - married and separated: females'
  F25 'Population less than 15 - widowed and divorced: females'
  F26 'Population aged 15-19 - total marital status: total' 
  F27 'Population aged 15-19 - never married (single): total' 
  F28 'Population aged 15-19 - married and separated: total' 
  F29 'Population aged 15-19 - widowed and divorced: total' 
  F30 'Population aged 15-19 - total marital status: males'
  F31 'Population aged 15-19 - never married (single): males'
  F32 'Population aged 15-19 - married and separated: males'
  F33 'Population aged 15-19 - widowed and divorced: males'
  F34 'Population aged 15-19 - total marital status: females'
  F35 'Population aged 15-19 - never married (single): females'
  F36 'Population aged 15-19 - married and separated: females'
  F37 'Population aged 15-19 - widowed and divorced: females'
  F38 'Population aged 20-24 - total marital status: total' 
  F39 'Population aged 20-24 - never married (single): total' 
  F40 'Population aged 20-24 - married and separated: total' 
  F41 'Population aged 20-24 - widowed and divorced: total' 
  F42 'Population aged 20-24 - total marital status: males'
  F43 'Population aged 20-24 - never married (single): males'
  F44 'Population aged 20-24 - married and separated: males'
  F45 'Population aged 20-24 - widowed and divorced: males'
  F46 'Population aged 20-24 - total marital status: females'
  F47 'Population aged 20-24 - never married (single): females'
  F48 'Population aged 20-24 - married and separated: females'
  F49 'Population aged 20-24 - widowed and divorced: females'
  F50 'Population aged 25-29 - total marital status: total' 
  F51 'Population aged 25-29 - never married (single): total' 
  F52 'Population aged 25-29 - married and separated: total' 
  F53 'Population aged 25-29 - widowed and divorced: total' 
  F54 'Population aged 25-29 - total marital status: males'
  F55 'Population aged 25-29 - never married (single): males'
  F56 'Population aged 25-29 - married and separated: males'
  F57 'Population aged 25-29 - widowed and divorced: males'
  F58 'Population aged 25-29 - total marital status: females'
  F59 'Population aged 25-29 - never married (single): females'
  F60 'Population aged 25-29 - married and separated: females'
  F61 'Population aged 25-29 - widowed and divorced: females'
  F62 'Population aged 30-34 - total marital status: total' 
  F63 'Population aged 30-34 - never married (single): total' 
  F64 'Population aged 30-34 - married and separated: total' 
  F65 'Population aged 30-34 - widowed and divorced: total' 
  F66 'Population aged 30-34 - total marital status: males'
  F67 'Population aged 30-34 - never married (single): males'
  F68 'Population aged 30-34 - married and separated: males'
  F69 'Population aged 30-34 - widowed and divorced: males'
  F70 'Population aged 30-34 - total marital status: females'
  F71 'Population aged 30-34 - never married (single): females'
  F72 'Population aged 30-34 - married and separated: females'
  F73 'Population aged 30-34 - widowed and divorced: females'
  F74 'Population aged 35-39 - total marital status: total' 
  F75 'Population aged 35-39 - never married (single): total' 
  F76 'Population aged 35-39 - married and separated: total' 
  F77 'Population aged 35-39 - widowed and divorced: total' 
  F78 'Population aged 35-39 - total marital status: males'
  F79 'Population aged 35-39 - never married (single): males'
  F80 'Population aged 35-39 - married and separated: males'
  F81 'Population aged 35-39 - widowed and divorced: males'
  F82 'Population aged 35-39 - total marital status: females'
  F83 'Population aged 35-39 - never married (single): females'
  F84 'Population aged 35-39 - married and separated: females'
  F85 'Population aged 35-39 - widowed and divorced: females'
  F86 'Population aged 40-44 - total marital status: total' 
  F87 'Population aged 40-44 - never married (single): total' 
  F88 'Population aged 40-44 - married and separated: total' 
  F89 'Population aged 40-44 - widowed and divorced: total' 
  F90 'Population aged 40-44 - total marital status: males'
  F91 'Population aged 40-44 - never married (single): males'
  F92 'Population aged 40-44 - married and separated: males'
  F93 'Population aged 40-44 - widowed and divorced: males'
  F94 'Population aged 40-44 - total marital status: females'
  F95 'Population aged 40-44 - never married (single): females'
  F96 'Population aged 40-44 - married and separated: females'
  F97 'Population aged 40-44 - widowed and divorced: females'
  F98 'Population aged 45-49 - total marital status: total' 
  F99 'Population aged 45-49 - never married (single): total' 
  F100 'Population aged 45-49 - married and separated: total' 
  F101 'Population aged 45-49 - widowed and divorced: total' 
  F102 'Population aged 45-49 - total marital status: males'
  F103 'Population aged 45-49 - never married (single): males'
  F104 'Population aged 45-49 - married and separated: males'
  F105 'Population aged 45-49 - widowed and divorced: males'
  F106 'Population aged 45-49 - total marital status: females'
  F107 'Population aged 45-49 - never married (single): females'
  F108 'Population aged 45-49 - married and separated: females'
  F109 'Population aged 45-49 - widowed and divorced: females'
  F110 'Population aged 50-54 - total marital status: total' 
  F111 'Population aged 50-54 - never married (single): total' 
  F112 'Population aged 50-54 - married and separated: total' 
  F113 'Population aged 50-54 - widowed and divorced: total' 
  F114 'Population aged 50-54 - total marital status: males'
  F115 'Population aged 50-54 - never married (single): males'
  F116 'Population aged 50-54 - married and separated: males'
  F117 'Population aged 50-54 - widowed and divorced: males'
  F118 'Population aged 50-54 - total marital status: females'
  F119 'Population aged 50-54 - never married (single): females'
  F120 'Population aged 50-54 - married and separated: females'
  F121 'Population aged 50-54 - widowed and divorced: females'
  F122 'Population aged 55-59 - total marital status: total' 
  F123 'Population aged 55-59 - never married (single): total' 
  F124 'Population aged 55-59 - married and separated: total' 
  F125 'Population aged 55-59 - widowed and divorced: total' 
  F126 'Population aged 55-59 - total marital status: males'
  F127 'Population aged 55-59 - never married (single): males'
  F128 'Population aged 55-59 - married and separated: males'
  F129 'Population aged 55-59 - widowed and divorced: males'
  F130 'Population aged 55-59 - total marital status: females'
  F131 'Population aged 55-59 - never married (single): females'
  F132 'Population aged 55-59 - married and separated: females'
  F133 'Population aged 55-59 - widowed and divorced: females'
  F134 'Population aged 60-64 - total marital status: total' 
  F135 'Population aged 60-64 - never married (single): total' 
  F136 'Population aged 60-64 - married and separated: total' 
  F137 'Population aged 60-64 - widowed and divorced: total' 
  F138 'Population aged 60-64 - total marital status: males'
  F139 'Population aged 60-64 - never married (single): males'
  F140 'Population aged 60-64 - married and separated: males'
  F141 'Population aged 60-64 - widowed and divorced: males'
  F142 'Population aged 60-64 - total marital status: females'
  F143 'Population aged 60-64 - never married (single): females'
  F144 'Population aged 60-64 - married and separated: females'
  F145 'Population aged 60-64 - widowed and divorced: females'
  F146 'Population over 64 - total marital status: total' 
  F147 'Population over 64 - never married (single): total' 
  F148 'Population over 64 - married and separated: total' 
  F149 'Population over 64 - widowed and divorced: total' 
  F150 'Population over 64 - total marital status: males'
  F151 'Population over 64 - never married (single): males'
  F152 'Population over 64 - married and separated: males'
  F153 'Population over 64 - widowed and divorced: males'
  F154 'Population over 64 - total marital status: females'
  F155 'Population over 64 - never married (single): females'
  F156 'Population over 64 - married and separated: females'
  F157 'Population over 64 - widowed and divorced: females'
  F158 'Population - total age: total sex'
  F159 'Population - total age: males'
  F160 'Population - total age: females'
  F161 'Population less than 1: total sex'
  F162 'Population less than 1: males'
  F163 'Population less than 1: females'
  F164 'Population age 1: total sex'
  F165 'Population age 1: males'
  F166 'Population age 1: females'
  F167 'Population age 2: total sex'
  F168 'Population age 2: males'
  F169 'Population age 2: females'
  F170 'Population age 3: total sex'
  F171 'Population age 3; males'
  F172 'Population age 3; females'
  F173 'Population age 4: total sex'
  F174 'Population age 4: males'
  F175 'Population age 4: females'
  F176 'Population age 0-4: total sex'
  F177 'Population age 0-4: males'
  F178 'Population age 0-4: females'
  F179 'Population age 5: total sex'
  F180 'Population age 5: males'
  F181 'Population age 5: females'
  F182 'Population age 6: total sex'
  F183 'Population age 6: males'
  F184 'Population age 6: females'
  F185 'Population age 7: total sex'
  F186 'Population age 7: males'
  F187 'Population age 7: females'
  F188 'Population age 8: total sex'
  F189 'Population age 8: males'
  F190 'Population age 8: females'
  F191 'Population age 9: total sex'
  F192 'Population age 9: males'
  F193 'Population age 9: females'
  F194 'Population age 5-9: total sex'
  F195 'Population age 5-9: males'
  F196 'Population age 5-9: females'
  F197 'Population age 10: total'
  F198 'Population age 10: males'
  F199 'Population age 10: females'
  F200 'Population age 11: total'
  F201 'Population age 11: males'
  F202 'Population age 11: females'
  F203 'Population age 12: total'
  F204 'Population age 12: males'
  F205 'Population age 12: females'
  F206 'Population age 13: total'
  F207 'Population age 13: males'
  F208 'Population age 13: females'
  F209 'Population age 14: total'
  F210 'Population age 14: males'
  F211 'Population age 14: females'
  F212 'Population age 10-14: total'
  F213 'Population age 10-14: males'
  F214 'Population age 10-14: females'
  F215 'Population age 15: total'
  F216 'Population age 15: males'
  F217 'Population age 15: females'
  F218 'Population age 16: total'
  F219 'Population age 16: males'
  F220 'Population age 16: females'
  F221 'Population age 17: total'
  F222 'Population age 17: males'
  F223 'Population age 17: females'
  F224 'Population age 18: total'
  F225 'Population age 18: males'
  F226 'Population age 18: females'
  F227 'Population age 19: total'
  F228 'Population age 19: males'
  F229 'Population age 19: females'
  F230 'Population age 15-19: total'
  F231 'Population age 15-19: males'
  F232 'Population age 15-19: females'
  F233 'Population age 20: total'
  F234 'Population age 20: males'
  F235 'Population age 20: females'
  F236 'Population age 21: total'
  F237 'Population age 21: males'
  F238 'Population age 21: females'
  F239 'Population age 22: total'
  F240 'Population age 22: males'
  F241 'Population age 22: females'
  F242 'Population age 23: total'
  F243 'Population age 23: males'
  F244 'Population age 23: females'
  F245 'Population age 24: total'
  F246 'Population age 24: males'
  F247 'Population age 24: females'
  F248 'Population age 20-24: total'
  F249 'Population age 20-24: males'
  F250 'Population age 20-24: females'
  F251 'Population age 25: total'
  F252 'Population age 25: males'
  F253 'Population age 25: females'
  F254 'Population age 26: total'
  F255 'Population age 26: males'
  F256 'Population age 26: females'
  F257 'Population age 27: total'
  F258 'Population age 27: males'
  F259 'Population age 27: females'
  F260 'Population age 28: total'
  F261 'Population age 28: males'
  F262 'Population age 28: females'
  F263 'Population age 29: total'
  F264 'Population age 29: males'
  F265 'Population age 29: females'
  F266 'Population age 25-29: total'
  F267 'Population age 25-29: males'
  F268 'Population age 25-29: females'
  F269 'Population age 30: total'
  F270 'Population age 30: males'
  F271 'Population age 30: females'
  F272 'Population age 31: total'
  F273 'Population age 31: males'
  F274 'Population age 31: females'
  F275 'Population age 32: total'
  F276 'Population age 32: males'
  F277 'Population age 32: females'
  F278 'Population age 33: total'
  F279 'Population age 33: males'
  F280 'Population age 33: females'
  F281 'Population age 34: total'
  F282 'Population age 34: males'
  F283 'Population age 34: females'
  F284 'Population age 30-34: total'
  F285 'Population age 30-34: males'
  F286 'Population age 30-34: females'
  F287 'Population age 35: total'
  F288 'Population age 35: males'
  F289 'Population age 35: females'
  F290 'Population age 36: total'
  F291 'Population age 36: males'
  F292 'Population age 36: females'
  F293 'Population age 37: total'
  F294 'Population age 37: males'
  F295 'Population age 37: females'
  F296 'Population age 38: total'
  F297 'Population age 38: males'
  F298 'Population age 38: females'
  F299 'Population age 39: total'
  F300 'Population age 39: males'
  F301 'Population age 39: females'
  F302 'Population age 35-39: total'
  F303 'Population age 35-39: males'
  F304 'Population age 35-39: females'
  F305 'Population age 40: total'
  F306 'Population age 40: males'
  F307 'Population age 40: females'
  F308 'Population age 41: total'
  F309 'Population age 41: males'
  F310 'Population age 41: females'
  F311 'Population age 42: total'
  F312 'Population age 42: males'
  F313 'Population age 42: females'
  F314 'Population age 43: total'
  F315 'Population age 43: males'
  F316 'Population age 43: females'
  F317 'Population age 44: total'
  F318 'Population age 44: males'
  F319 'Population age 44: females'
  F320 'Population age 40-44: total'
  F321 'Population age 40-44: males'
  F322 'Population age 40-44: females'
  F323 'Population age 45: total'
  F324 'Population age 45: males'
  F325 'Population age 45: females'
  F326 'Population age 46: total'
  F327 'Population age 46: males'
  F328 'Population age 46: females'
  F329 'Population age 47: total'
  F330 'Population age 47: males'
  F331 'Population age 47: females'
  F332 'Population age 48: total'
  F333 'Population age 48: males'
  F334 'Population age 48: females'
  F335 'Population age 49: total'
  F336 'Population age 49: males'
  F337 'Population age 49: females'
  F338 'Population age 45-49: total'
  F339 'Population age 45-49: males'
  F340 'Population age 45-49: females'
  F341 'Population age 50: total'
  F342 'Population age 50: males'
  F343 'Population age 50: females'
  F344 'Population age 51: total'
  F345 'Population age 51: males'
  F346 'Population age 51: females'
  F347 'Population age 52: total'
  F348 'Population age 52: males'
  F349 'Population age 52: females'
  F350 'Population age 53: total'
  F351 'Population age 53: males'
  F352 'Population age 53: females'
  F353 'Population age 54: total'
  F354 'Population age 54: males'
  F355 'Population age 54: females'
  F356 'Population age 50-54: total'
  F357 'Population age 50-54: males'
  F358 'Population age 50-54: females'
  F359 'Population age 55: total'
  F360 'Population age 55: males'
  F361 'Population age 55: females'
  F362 'Population age 56: total'
  F363 'Population age 56: males'
  F364 'Population age 56: females'
  F365 'Population age 57: total'
  F366 'Population age 57: males'
  F367 'Population age 57: females'
  F368 'Population age 58: total'
  F369 'Population age 58: males'
  F370 'Population age 58: females'
  F371 'Population age 59: total'
  F372 'Population age 59: males'
  F373 'Population age 59: females'
  F374 'Population age 55-59: total'
  F375 'Population age 55-59: males'
  F376 'Population age 55-59: females'
  F377 'Population age 60: total'
  F378 'Population age 60: males'
  F379 'Population age 60: females'
  F380 'Population age 61: total'
  F381 'Population age 61: males'
  F382 'Population age 61: females'
  F383 'Population age 62: total'
  F384 'Population age 62: males'
  F385 'Population age 62: females'
  F386 'Population age 63: total'
  F387 'Population age 63: males'
  F388 'Population age 63: females'
  F389 'Population age 64: total'
  F390 'Population age 64: males'
  F391 'Population age 64: females'
  F392 'Population age 60-64: total'
  F393 'Population age 60-64: males'
  F394 'Population age 60-64: females'
  F395 'Population age 65-69: total'
  F396 'Population age 65-69: males'
  F397 'Population age 65-69: females'
  F398 'Population age 70-74: total'
  F399 'Population age 70-74: males'
  F400 'Population age 70-74: females'
  F401 'Population age 75 and over: total'
  F402 'Population age 75 and over: males'
  F403 'Population age 75 and over: females'
  F404 'Total marital status: total'
  F405 'Population never married (single): total'
  F406 'Population married: total' 
  F407 'Population widowed: total'
  F408 'Population divorced: total'
  F409 'Population separated: total'
  F410 'Total marital status: males'
  F411 'Population never married (single): males'
  F412 'Population married: males'
  F413 'Population widowed: males'
  F414 'Population divorced: males'
  F415 'Population separated: males'
  F416 'Total marital status: males'
  F417 'Population never married (single): females'
  F418 'Population married: females'
  F419 'Population widowed: females'
  F420 'Population divorced: females'
  F421 'Population separated: females'
 .
VALUE LABELS
   RP
     0  'Canada'
     10  'Newfoundland'
     11  'Prince Edward Island'
     12  'Nova Scotia'
     13  'New Brunswick'
     24  'Quebec'
     35  'Ontario'
     46  'Manitoba'
     47  'Saskatchewan'
     48  'Alberta'
     59  'British Columbia'
     60  'Yukon'
     61  'Northwest Territories'
 / cmacasl
     0  'Not a CMA/CA'
     1  'CMA'
     2  'CA'
 / csdsize
     1  '500,000 & over'
     2  '100,000 - 499,999'
     3  '30,000 - 99,999'
     4  '10,000 - 29,999'
     5  '5,000 - 9,999'
     6  '2,500 - 4,999'
     7  '1,000 - 2,499'
	 8 '0 - 999'
 / irhia
     1  'Includes IR or part of IR'
 / RECTYPE
     1  'Canada'
     2  'Provinces'
     3  'Remainder'
     10  'CMA/CA'
     12  'Prov. CT subtotal'
     13  'Census tracts'
     15  'Prov. census tracts'
     16  'Census divisions'
     17  'Census subdivisions'
     18  'Federal electoral districts'
     19  'Enumeration areas'
* select if rp=59
select if rectype=16
write outfile='cd_sdd81a10.csv' / 
  rp ',' cd ',' csdname ','
 f158 ',' f159 ',' f160 ',' 
 f176 ',' f177 ',' f178 ',' 
 f194 ',' f195 ',' f196 ',' 
 f212 ',' f213 ',' f214 ',' 
 f230 ',' f231 ',' f232 ',' 
 f248 ',' f249 ',' f250 ',' 
 f266 ',' f267 ',' f268 ',' 
 f284 ',' f285 ',' f286 ',' 
 f302 ',' f303 ',' f304 ',' 
 f320 ',' f321 ',' f322 ',' 
 f338 ',' f339 ',' f340 ',' 
 f356 ',' f357 ',' f358 ',' 
 f374 ',' f375 ',' f376 ',' 
 f392 ',' f393 ',' f394 ',' 
 f395 ',' f396 ',' f397 ',' 
 f398 ',' f399 ',' f400 ',' 
 f401 ',' f402 ',' f403. 
Execute.

SAVE OUTFILE= 'y'/* Replace 'y' with name to give your system file.
 /MAP
  /COMPRESSED. /* Delete this line if you want an uncompressed file

finish.
